
TYPO3.Flow - Feature # 3337

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Persistence
Created: 2009-05-16 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Allow to count lazy-loaded objects without fetching them from the persistence layer
Description

It should be possible to count objects in a repository without the need to actually fetch and initialize them.
It would be useful to be able to call count($blog->posts);
 without actually fetching all posts.

Related issues:
related to TYPO3.Flow - Major Feature # 6267: Speed up persistence Resolved 2010-01-18
blocked by TYPO3.Flow - Feature # 6120: Re-implement lazy loading in persiste... Resolved 2010-01-20

Associated revisions
Revision 6027ad2b - 2010-03-11 21:07 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): Reimplemented lazy loading, resolves #6120. See updated manual for details.
[+FEATURE] FLOW3 (Persistence): Lazy loaded SplObjectStorage can now be counted without triggering activation, resolves #3337.
[~API] FLOW3 (Persistence): Moved the BackendInterface into the Backend namespace.
[-API] FLOW3 (Persistence): Removed the DataMapperInterface. Backends should follow the defined data structure.
[~TASK] FLOW3 (Persistence): Optimized clean data handling while dirty checking, reducing memory usage.

History
#1 - 2009-05-19 12:35 - Robert Lemke
- Target version set to 283

#2 - 2009-06-04 14:58 - Robert Lemke
- Priority changed from Should have to Could have
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-26 16:23 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#4 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#5 - 2009-10-30 17:04 - Karsten Dambekalns
- Status changed from New to Accepted

#6 - 2010-01-20 11:07 - Karsten Dambekalns
- Subject changed from Allow to count lazy-loaded objects without fetching them from the CR to Allow to count lazy-loaded objects without fetching 
them from the persistence layer
- Priority changed from Could have to Should have
#7 - 2010-02-04 15:14 - Jochen Rau

I have implemented this in Extbase with a initialize template method in the LazyLoadingProxy/LazyObjectStorage.

#8 - 2010-03-11 22:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3930.
